<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [git-documentdb](./git-documentdb.md) &gt; [UndefinedDocumentIdError](./git-documentdb.undefineddocumentiderror.md) &gt; [(constructor)](./git-documentdb.undefineddocumentiderror._constructor_.md)

## UndefinedDocumentIdError.(constructor)

Constructs a new instance of the `UndefinedDocumentIdError` class

<b>Signature:</b>

```typescript
constructor(e?: string);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  e | string |  |

